// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface DateTimeIntervalOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.DateTimeInterval)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * End date and time of this interval.
   * </pre>
   *
   * <code>.google.protobuf.Int64Value end = 1;</code>
   * @return Whether the end field is set.
   */
  boolean hasEnd();
  /**
   * <pre>
   * End date and time of this interval.
   * </pre>
   *
   * <code>.google.protobuf.Int64Value end = 1;</code>
   * @return The end.
   */
  com.google.protobuf.Int64Value getEnd();
  /**
   * <pre>
   * End date and time of this interval.
   * </pre>
   *
   * <code>.google.protobuf.Int64Value end = 1;</code>
   */
  com.google.protobuf.Int64ValueOrBuilder getEndOrBuilder();

  /**
   * <pre>
   * Start date and time of this interval.
   * </pre>
   *
   * <code>.google.protobuf.Int64Value start = 2;</code>
   * @return Whether the start field is set.
   */
  boolean hasStart();
  /**
   * <pre>
   * Start date and time of this interval.
   * </pre>
   *
   * <code>.google.protobuf.Int64Value start = 2;</code>
   * @return The start.
   */
  com.google.protobuf.Int64Value getStart();
  /**
   * <pre>
   * Start date and time of this interval.
   * </pre>
   *
   * <code>.google.protobuf.Int64Value start = 2;</code>
   */
  com.google.protobuf.Int64ValueOrBuilder getStartOrBuilder();
}
